import{s as so,o as lo,n as io}from"../chunks/scheduler.c59d9fbb.js";import{S as co,i as mo,g as r,s as n,r as l,A as po,h as o,f as i,c as a,j as h,u as c,x as s,k as f,y as e,a as w,v as d,d as m,t as p,w as g}from"../chunks/index.a47918e3.js";import{T as oo}from"../chunks/Tip.3fcf4aa4.js";import{D as u}from"../chunks/Docstring.c93610ba.js";import{H as sn}from"../chunks/Heading.604bc707.js";function go(nt){let y,q=`To use this method, you need to have provided a <code>model_init</code> when initializing your <a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.Trainer">Trainer</a>: we need to
reinitialize the model at each new run.`;return{c(){y=r("p"),y.innerHTML=q},l(C){y=o(C,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1vde7vv"&&(y.innerHTML=q)},m(C,U){w(C,y,U)},p:io,d(C){C&&i(y)}}}function ho(nt){let y,q=`To use this method, you need to have provided a <code>model_init</code> when initializing your <a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.Trainer">Trainer</a>: we need to
reinitialize the model at each new run.`;return{c(){y=r("p"),y.innerHTML=q},l(C){y=o(C,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1vde7vv"&&(y.innerHTML=q)},m(C,U){w(C,y,U)},p:io,d(C){C&&i(y)}}}function fo(nt){let y,q,C,U,pe,ln,ge,cn,D,he,Un,at,gr=`TrainingArguments is the subset of the arguments which relate to the training loop itself.
Note that training with SetFit consists of two phases behind the scenes: <strong>finetuning embeddings</strong> and
<strong>training a classification head</strong>. As a result, some of the training arguments can be tuples,
where the two values are used for each of the two phases, respectively. The second value is often only
used when training the model was loaded using <code>use_differentiable_head=True</code>.`,Fn,F,fe,Vn,rt,hr="Convert this instance to a dictionary.",jn,V,ue,Wn,ot,fr="Initialize a TrainingArguments instance from a dictionary.",Rn,j,be,Bn,it,ur="Create a shallow copy of this TrainingArguments instance.",Kn,st,_e,dn,ve,mn,b,Te,Gn,lt,br="Trainer to train a SetFit model.",Jn,W,xe,Qn,ct,_r='Add a callback to the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',Xn,R,ye,Yn,dt,vr="Applies a dictionary of hyperparameters to both the trainer and the model",Zn,B,$e,ea,mt,Tr="Computes the metrics for a given classifier.",ta,L,ke,na,pt,xr=`Launch a hyperparameter search using <code>optuna</code>. The optimized quantity is determined
by <code>compute_objective</code>, which defaults to a function returning the evaluation loss when no metric is provided,
the sum of all metrics otherwise.`,aa,K,ra,I,we,oa,gt,yr="Log <code>logs</code> on the various objects watching training.",ia,ht,$r="Subclass and override this method to inject custom behavior.",sa,M,Ce,la,ft,kr='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> and returns it.',ca,ut,wr="If the callback is not found, returns <code>None</code> (and no error is raised).",da,N,De,ma,bt,Cr="Upload model checkpoint to the Hub using <code>huggingface_hub</code>.",pa,_t,Dr='See the full list of parameters for your <code>huggingface_hub</code> version in the        <a href="https://huggingface.co/docs/huggingface_hub/package_reference/mixins#huggingface_hub.ModelHubMixin.push_to_hub" rel="nofollow">huggingface_hub documentation</a>.',ga,G,Ae,ha,vt,Ar='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',fa,J,qe,ua,Tt,qr="Main training entry point.",ba,Q,Le,_a,xt,Lr="Method to perform the classifier phase: fitting a classifier head.",va,X,Ie,Ta,yt,Ir="Method to perform the embedding phase: finetuning the <code>SentenceTransformer</code> body.",pn,Me,gn,_,Ne,xa,$t,Mr="Trainer to compress a SetFit model with knowledge distillation.",ya,Y,Pe,$a,kt,Nr='Add a callback to the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',ka,Z,He,wa,wt,Pr="Applies a dictionary of hyperparameters to both the trainer and the model",Ca,ee,Oe,Da,Ct,Hr="Computes the metrics for a given classifier.",Aa,P,ze,qa,Dt,Or=`Launch a hyperparameter search using <code>optuna</code>. The optimized quantity is determined
by <code>compute_objective</code>, which defaults to a function returning the evaluation loss when no metric is provided,
the sum of all metrics otherwise.`,La,te,Ia,H,Ee,Ma,At,zr="Log <code>logs</code> on the various objects watching training.",Na,qt,Er="Subclass and override this method to inject custom behavior.",Pa,O,Se,Ha,Lt,Sr='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> and returns it.',Oa,It,Ur="If the callback is not found, returns <code>None</code> (and no error is raised).",za,z,Ue,Ea,Mt,Fr="Upload model checkpoint to the Hub using <code>huggingface_hub</code>.",Sa,Nt,Vr='See the full list of parameters for your <code>huggingface_hub</code> version in the        <a href="https://huggingface.co/docs/huggingface_hub/package_reference/mixins#huggingface_hub.ModelHubMixin.push_to_hub" rel="nofollow">huggingface_hub documentation</a>.',Ua,ne,Fe,Fa,Pt,jr='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',Va,ae,Ve,ja,Ht,Wr="Main training entry point.",Wa,re,je,Ra,Ot,Rr="Method to perform the classifier phase: fitting the student classifier head.",Ba,oe,We,Ka,zt,Br="Method to perform the embedding phase: finetuning the <code>SentenceTransformer</code> body.",hn,Re,fn,$,Be,Ga,Et,Kr="Trainer to train a SetFit ABSA model.",Ja,ie,Ke,Qa,St,Gr='Add a callback to the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',Xa,se,Ge,Ya,Ut,Jr="Computes the metrics for a given classifier.",Za,E,Je,er,Ft,Qr='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> and returns it.',tr,Vt,Xr="If the callback is not found, returns <code>None</code> (and no error is raised).",nr,S,Qe,ar,jt,Yr="Upload model checkpoint to the Hub using <code>huggingface_hub</code>.",rr,Wt,Zr='See the full list of parameters for your <code>huggingface_hub</code> version in the        <a href="https://huggingface.co/docs/huggingface_hub/package_reference/mixins#huggingface_hub.ModelHubMixin.push_to_hub" rel="nofollow">huggingface_hub documentation</a>.',or,le,Xe,ir,Rt,eo='Remove a callback from the current list of <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>.',sr,ce,Ye,lr,Bt,to="Main training entry point.",cr,de,Ze,dr,Kt,no="Train the aspect model only.",mr,me,et,pr,Gt,ao="Train the polarity model only.",un,on,bn;return pe=new sn({props:{title:"Trainer Classes",local:"trainer-classes",headingTag:"h1"}}),ge=new sn({props:{title:"TrainingArguments",local:"setfit.TrainingArguments",headingTag:"h2"}}),he=new u({props:{name:"class setfit.TrainingArguments",anchor:"setfit.TrainingArguments",parameters:[{name:"output_dir",val:": str = 'checkpoints'"},{name:"batch_size",val:": Union[int, Tuple[int, int]] = (16, 2)"},{name:"num_epochs",val:": Union[int, Tuple[int, int]] = (1, 16)"},{name:"max_steps",val:": int = -1"},{name:"sampling_strategy",val:": str = 'oversampling'"},{name:"num_iterations",val:": Optional[int] = None"},{name:"body_learning_rate",val:": Union[float, Tuple[float, float]] = (2e-05, 1e-05)"},{name:"head_learning_rate",val:": float = 0.01"},{name:"loss",val:": Callable = <class 'sentence_transformers.losses.CosineSimilarityLoss.CosineSimilarityLoss'>"},{name:"distance_metric",val:": Callable = <function BatchHardTripletLossDistanceFunction.cosine_distance at 0x7fd7fd792b90>"},{name:"margin",val:": float = 0.25"},{name:"end_to_end",val:": bool = False"},{name:"use_amp",val:": bool = False"},{name:"warmup_proportion",val:": float = 0.1"},{name:"l2_weight",val:": Optional[float] = None"},{name:"max_length",val:": Optional[int] = None"},{name:"samples_per_label",val:": int = 2"},{name:"show_progress_bar",val:": bool = True"},{name:"seed",val:": int = 42"},{name:"report_to",val:": str = 'all'"},{name:"run_name",val:": Optional[str] = None"},{name:"logging_dir",val:": Optional[str] = None"},{name:"logging_strategy",val:": str = 'steps'"},{name:"logging_first_step",val:": bool = True"},{name:"logging_steps",val:": int = 50"},{name:"evaluation_strategy",val:": str = 'no'"},{name:"eval_steps",val:": Optional[int] = None"},{name:"eval_delay",val:": int = 0"},{name:"eval_max_steps",val:": int = -1"},{name:"save_strategy",val:": str = 'steps'"},{name:"save_steps",val:": int = 500"},{name:"save_total_limit",val:": Optional[int] = 1"},{name:"load_best_model_at_end",val:": bool = False"},{name:"metric_for_best_model",val:": str = 'embedding_loss'"},{name:"greater_is_better",val:": bool = False"}],parametersDescription:[{anchor:"setfit.TrainingArguments.output_dir",description:`<strong>output_dir</strong> (<code>str</code>, defaults to <code>&quot;checkpoints&quot;</code>) &#x2014;
The output directory where the model predictions and checkpoints will be written.`,name:"output_dir"},{anchor:"setfit.TrainingArguments.batch_size",description:`<strong>batch_size</strong> (<code>Union[int, Tuple[int, int]]</code>, defaults to <code>(16, 2)</code>) &#x2014;
Set the batch sizes for the embedding and classifier training phases respectively,
or set both if an integer is provided.
Note that the batch size for the classifier is only used with a differentiable PyTorch head.`,name:"batch_size"},{anchor:"setfit.TrainingArguments.num_epochs",description:`<strong>num_epochs</strong> (<code>Union[int, Tuple[int, int]]</code>, defaults to <code>(1, 16)</code>) &#x2014;
Set the number of epochs the embedding and classifier training phases respectively,
or set both if an integer is provided.
Note that the number of epochs for the classifier is only used with a differentiable PyTorch head.`,name:"num_epochs"},{anchor:"setfit.TrainingArguments.max_steps",description:`<strong>max_steps</strong> (<code>int</code>, defaults to <code>-1</code>) &#x2014;
If set to a positive number, the total number of training steps to perform. Overrides <code>num_epochs</code>.
The training may stop before reaching the set number of steps when all data is exhausted.`,name:"max_steps"},{anchor:"setfit.TrainingArguments.sampling_strategy",description:`<strong>sampling_strategy</strong> (<code>str</code>, defaults to <code>&quot;oversampling&quot;</code>) &#x2014;
The sampling strategy of how to draw pairs in training. Possible values are:</p>
<ul>
<li><code>&quot;oversampling&quot;</code>: Draws even number of positive/ negative sentence pairs until every
sentence pair has been drawn.</li>
<li><code>&quot;undersampling&quot;</code>: Draws the minimum number of positive/ negative sentence pairs until
every sentence pair in the minority class has been drawn.</li>
<li><code>&quot;unique&quot;</code>: Draws every sentence pair combination (likely resulting in unbalanced
number of positive/ negative sentence pairs).</li>
</ul>
<p>The default is set to <code>&quot;oversampling&quot;</code>, ensuring all sentence pairs are drawn at least once.
Alternatively, setting <code>num_iterations</code> will override this argument and determine the number
of generated sentence pairs.`,name:"sampling_strategy"},{anchor:"setfit.TrainingArguments.num_iterations",description:`<strong>num_iterations</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If not set the <code>sampling_strategy</code> will determine the number of sentence pairs to generate.
This argument sets the number of iterations to generate sentence pairs for
and provides compatability with Setfit <v1.0.0. this argument is ignored if triplet loss used. it only used in conjunction with <code>CosineSimilarityLoss.</v1.0.0.>`,name:"num_iterations"},{anchor:"setfit.TrainingArguments.body_learning_rate",description:`<strong>body_learning_rate</strong> (<code>Union[float, Tuple[float, float]]</code>, defaults to <code>(2e-5, 1e-5)</code>) &#x2014;
Set the learning rate for the <code>SentenceTransformer</code> body for the embedding and classifier
training phases respectively, or set both if a float is provided.
Note that the body learning rate for the classifier is only used with a differentiable PyTorch
head <em>and</em> if <code>end_to_end=True</code>.`,name:"body_learning_rate"},{anchor:"setfit.TrainingArguments.head_learning_rate",description:`<strong>head_learning_rate</strong> (<code>float</code>, defaults to <code>1e-2</code>) &#x2014;
Set the learning rate for the head for the classifier training phase. Only used with a
differentiable PyTorch head.`,name:"head_learning_rate"},{anchor:"setfit.TrainingArguments.loss",description:`<strong>loss</strong> (<code>nn.Module</code>, defaults to <code>CosineSimilarityLoss</code>) &#x2014;
The loss function to use for contrastive training of the embedding training phase.`,name:"loss"},{anchor:"setfit.TrainingArguments.distance_metric",description:`<strong>distance_metric</strong> (<code>Callable</code>, defaults to <code>BatchHardTripletLossDistanceFunction.cosine_distance</code>) &#x2014;
Function that returns a distance between two embeddings.
It is set for the triplet loss and ignored for <code>CosineSimilarityLoss</code> and <code>SupConLoss</code>.`,name:"distance_metric"},{anchor:"setfit.TrainingArguments.margin",description:`<strong>margin</strong> (<code>float</code>, defaults to <code>0.25</code>) &#x2014;
Margin for the triplet loss.
Negative samples should be at least margin further apart from the anchor than the positive.
It is ignored for <code>CosineSimilarityLoss</code>, <code>BatchHardSoftMarginTripletLoss</code> and <code>SupConLoss</code>.`,name:"margin"},{anchor:"setfit.TrainingArguments.end_to_end",description:`<strong>end_to_end</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If True, train the entire model end-to-end during the classifier training phase.
Otherwise, freeze the <code>SentenceTransformer</code> body and only train the head.
Only used with a differentiable PyTorch head.`,name:"end_to_end"},{anchor:"setfit.TrainingArguments.use_amp",description:`<strong>use_amp</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Automatic Mixed Precision (AMP) during the embedding training phase.
Only for Pytorch &gt;= 1.6.0`,name:"use_amp"},{anchor:"setfit.TrainingArguments.warmup_proportion",description:`<strong>warmup_proportion</strong> (<code>float</code>, defaults to <code>0.1</code>) &#x2014;
Proportion of the warmup in the total training steps.
Must be greater than or equal to 0.0 and less than or equal to 1.0.`,name:"warmup_proportion"},{anchor:"setfit.TrainingArguments.l2_weight",description:`<strong>l2_weight</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Optional l2 weight for both the model body and head, passed to the <code>AdamW</code> optimizer in the
classifier training phase if a differentiable PyTorch head is used.`,name:"l2_weight"},{anchor:"setfit.TrainingArguments.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The maximum token length a tokenizer can generate. If not provided, the maximum length for
the <code>SentenceTransformer</code> body is used.`,name:"max_length"},{anchor:"setfit.TrainingArguments.samples_per_label",description:`<strong>samples_per_label</strong> (<code>int</code>, defaults to <code>2</code>) &#x2014; Number of consecutive, random and unique samples drawn per label.
This is only relevant for triplet loss and ignored for <code>CosineSimilarityLoss</code>.
Batch size should be a multiple of samples_per_label.`,name:"samples_per_label"},{anchor:"setfit.TrainingArguments.show_progress_bar",description:`<strong>show_progress_bar</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to display a progress bar for the training epochs and iterations.`,name:"show_progress_bar"},{anchor:"setfit.TrainingArguments.seed",description:`<strong>seed</strong> (<code>int</code>, defaults to <code>42</code>) &#x2014;
Random seed that will be set at the beginning of training. To ensure reproducibility across
runs, use the <code>model_init</code> argument to <a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.Trainer">Trainer</a> to instantiate the model if it has some
randomly initialized parameters.`,name:"seed"},{anchor:"setfit.TrainingArguments.report_to",description:`<strong>report_to</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>, defaults to <code>&quot;all&quot;</code>) &#x2014;
The list of integrations to report the results and logs to. Supported platforms are <code>&quot;azure_ml&quot;</code>,
<code>&quot;comet_ml&quot;</code>, <code>&quot;mlflow&quot;</code>, <code>&quot;neptune&quot;</code>, <code>&quot;tensorboard&quot;</code>,<code>&quot;clearml&quot;</code> and <code>&quot;wandb&quot;</code>. Use <code>&quot;all&quot;</code> to report to
all integrations installed, <code>&quot;none&quot;</code> for no integrations.`,name:"report_to"},{anchor:"setfit.TrainingArguments.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A descriptor for the run. Typically used for <a href="https://www.wandb.com/" rel="nofollow">wandb</a> and
<a href="https://www.mlflow.org/" rel="nofollow">mlflow</a> logging.`,name:"run_name"},{anchor:"setfit.TrainingArguments.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
<a href="https://www.tensorflow.org/tensorboard" rel="nofollow">TensorBoard</a> log directory. Will default to
*runs/<strong>CURRENT_DATETIME_HOSTNAME*</strong>.`,name:"logging_dir"},{anchor:"setfit.TrainingArguments.logging_strategy",description:`<strong>logging_strategy</strong> (<code>str</code> or <code>IntervalStrategy</code>, <em>optional</em>, defaults to <code>&quot;steps&quot;</code>) &#x2014;
The logging strategy to adopt during training. Possible values are:</p>
<ul>
<li><code>&quot;no&quot;</code>: No logging is done during training.</li>
<li><code>&quot;epoch&quot;</code>: Logging is done at the end of each epoch.</li>
<li><code>&quot;steps&quot;</code>: Logging is done every <code>logging_steps</code>.</li>
</ul>`,name:"logging_strategy"},{anchor:"setfit.TrainingArguments.logging_first_step",description:`<strong>logging_first_step</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to log and evaluate the first <code>global_step</code> or not.`,name:"logging_first_step"},{anchor:"setfit.TrainingArguments.logging_steps",description:`<strong>logging_steps</strong> (<code>int</code>, defaults to 50) &#x2014;
Number of update steps between two logs if <code>logging_strategy=&quot;steps&quot;</code>.`,name:"logging_steps"},{anchor:"setfit.TrainingArguments.evaluation_strategy",description:`<strong>evaluation_strategy</strong> (<code>str</code> or <code>IntervalStrategy</code>, <em>optional</em>, defaults to <code>&quot;no&quot;</code>) &#x2014;
The evaluation strategy to adopt during training. Possible values are:</p>
<ul>
<li><code>&quot;no&quot;</code>: No evaluation is done during training.</li>
<li><code>&quot;steps&quot;</code>: Evaluation is done (and logged) every <code>eval_steps</code>.</li>
<li><code>&quot;epoch&quot;</code>: Evaluation is done at the end of each epoch.</li>
</ul>`,name:"evaluation_strategy"},{anchor:"setfit.TrainingArguments.eval_steps",description:`<strong>eval_steps</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Number of update steps between two evaluations if <code>evaluation_strategy=&quot;steps&quot;</code>. Will default to the same
value as <code>logging_steps</code> if not set.`,name:"eval_steps"},{anchor:"setfit.TrainingArguments.eval_delay",description:`<strong>eval_delay</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Number of epochs or steps to wait for before the first evaluation can be performed, depending on the
evaluation_strategy.`,name:"eval_delay"},{anchor:"setfit.TrainingArguments.eval_max_steps",description:`<strong>eval_max_steps</strong> (<code>int</code>, defaults to <code>-1</code>) &#x2014;
If set to a positive number, the total number of evaluation steps to perform. The evaluation may stop
before reaching the set number of steps when all data is exhausted.`,name:"eval_max_steps"},{anchor:"setfit.TrainingArguments.save_strategy",description:`<strong>save_strategy</strong> (<code>str</code> or <code>IntervalStrategy</code>, <em>optional</em>, defaults to <code>&quot;steps&quot;</code>) &#x2014;
The checkpoint save strategy to adopt during training. Possible values are:</p>
<ul>
<li><code>&quot;no&quot;</code>: No save is done during training.</li>
<li><code>&quot;epoch&quot;</code>: Save is done at the end of each epoch.</li>
<li><code>&quot;steps&quot;</code>: Save is done every <code>save_steps</code>.</li>
</ul>`,name:"save_strategy"},{anchor:"setfit.TrainingArguments.save_steps",description:`<strong>save_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 500) &#x2014;
Number of updates steps before two checkpoint saves if <code>save_strategy=&quot;steps&quot;</code>.`,name:"save_steps"},{anchor:"setfit.TrainingArguments.save_total_limit",description:`<strong>save_total_limit</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
If a value is passed, will limit the total amount of checkpoints. Deletes the older checkpoints in
<code>output_dir</code>. Note, the best model is always preserved if the <code>evaluation_strategy</code> is not <code>&quot;no&quot;</code>.`,name:"save_total_limit"},{anchor:"setfit.TrainingArguments.load_best_model_at_end",description:`<strong>load_best_model_at_end</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to load the best model found during training at the end of training.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When set to <code>True</code>, the parameters <code>save_strategy</code> needs to be the same as <code>evaluation_strategy</code>, and in
the case it is &#x201C;steps&#x201D;, <code>save_steps</code> must be a round multiple of <code>eval_steps</code>.</p>

					</div>`,name:"load_best_model_at_end"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/training_args.py#L22"}}),fe=new u({props:{name:"to_dict",anchor:"setfit.TrainingArguments.to_dict",parameters:[],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/training_args.py#L311",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary variant of this dataclass.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, Any]</code></p>
`}}),ue=new u({props:{name:"from_dict",anchor:"setfit.TrainingArguments.from_dict",parameters:[{name:"arguments",val:": Dict[str, Any]"},{name:"ignore_extra",val:": bool = False"}],parametersDescription:[{anchor:"setfit.TrainingArguments.from_dict.arguments",description:"<strong>arguments</strong> (<code>Dict[str, Any]</code>) &#x2014; A dictionary of arguments.",name:"arguments"},{anchor:"setfit.TrainingArguments.from_dict.ignore_extra",description:`<strong>ignore_extra</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to ignore arguments that do not occur in the
TrainingArguments <strong>init</strong> signature. Defaults to False.`,name:"ignore_extra"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/training_args.py#L319",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instantiated TrainingArguments instance.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>TrainingArguments</code></p>
`}}),be=new u({props:{name:"copy",anchor:"setfit.TrainingArguments.copy",parameters:[],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/training_args.py#L335"}}),_e=new u({props:{name:"update",anchor:"setfit.TrainingArguments.update",parameters:[{name:"arguments",val:": Dict[str, Any]"},{name:"ignore_extra",val:": bool = False"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/training_args.py#L339"}}),ve=new sn({props:{title:"Trainer",local:"setfit.Trainer",headingTag:"h2"}}),Te=new u({props:{name:"class setfit.Trainer",anchor:"setfit.Trainer",parameters:[{name:"model",val:": Optional = None"},{name:"args",val:": Optional = None"},{name:"train_dataset",val:": Optional = None"},{name:"eval_dataset",val:": Optional = None"},{name:"model_init",val:": Optional = None"},{name:"metric",val:": Union = 'accuracy'"},{name:"metric_kwargs",val:": Optional = None"},{name:"callbacks",val:": Optional = None"},{name:"column_mapping",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.Trainer.model",description:`<strong>model</strong> (<code>SetFitModel</code>, <em>optional</em>) &#x2014;
The model to train. If not provided, a <code>model_init</code> must be passed.`,name:"model"},{anchor:"setfit.Trainer.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
The training arguments to use.`,name:"args"},{anchor:"setfit.Trainer.train_dataset",description:`<strong>train_dataset</strong> (<code>Dataset</code>) &#x2014;
The training dataset.`,name:"train_dataset"},{anchor:"setfit.Trainer.eval_dataset",description:`<strong>eval_dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The evaluation dataset.`,name:"eval_dataset"},{anchor:"setfit.Trainer.model_init",description:`<strong>model_init</strong> (<code>Callable[[], SetFitModel]</code>, <em>optional</em>) &#x2014;
A function that instantiates the model to be used. If provided, each call to
<a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.DistillationTrainer.train">Trainer.train()</a> will start from a new instance of the model as given by this
function when a <code>trial</code> is passed.`,name:"model_init"},{anchor:"setfit.Trainer.metric",description:`<strong>metric</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;accuracy&quot;</code>) &#x2014;
The metric to use for evaluation. If a string is provided, we treat it as the metric
name and load it with default settings. If a callable is provided, it must take two arguments
(<code>y_pred</code>, <code>y_test</code>) and return a dictionary with metric keys to values.`,name:"metric"},{anchor:"setfit.Trainer.metric_kwargs",description:`<strong>metric_kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Keyword arguments passed to the evaluation function if <code>metric</code> is an evaluation string like &#x201C;f1&#x201D;.
For example useful for providing an averaging strategy for computing f1 in a multi-label setting.`,name:"metric_kwargs"},{anchor:"setfit.Trainer.callbacks",description:`<strong>callbacks</strong> (<code>List[</code><a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a><code>]</code>, <em>optional</em>) &#x2014;
A list of callbacks to customize the training loop. Will add those to the list of default callbacks
detailed in <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback" rel="nofollow">here</a>.
If you want to remove one of the default callbacks used, use the <a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.DistillationTrainer.remove_callback">Trainer.remove_callback()</a> method.`,name:"callbacks"},{anchor:"setfit.Trainer.column_mapping",description:`<strong>column_mapping</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A mapping from the column names in the dataset to the column names expected by the model.
The expected format is a dictionary with the following format:
<code>{&quot;text_column_name&quot;: &quot;text&quot;, &quot;label_column_name: &quot;label&quot;}</code>.`,name:"column_mapping"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L144"}}),xe=new u({props:{name:"add_callback",anchor:"setfit.Trainer.add_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.Trainer.add_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will instantiate a member of that class.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L246"}}),ye=new u({props:{name:"apply_hyperparameters",anchor:"setfit.Trainer.apply_hyperparameters",parameters:[{name:"params",val:": Dict"},{name:"final_model",val:": bool = False"}],parametersDescription:[{anchor:"setfit.Trainer.apply_hyperparameters.params",description:"<strong>params</strong> (<code>Dict[str, Any]</code>) &#x2014; The parameters, usually from <code>BestRun.hyperparameters</code>",name:"params"},{anchor:"setfit.Trainer.apply_hyperparameters.final_model",description:"<strong>final_model</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; If <code>True</code>, replace the <code>model_init()</code> function with a fixed model based on the parameters.",name:"final_model"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L284"}}),$e=new u({props:{name:"evaluate",anchor:"setfit.Trainer.evaluate",parameters:[{name:"dataset",val:": Optional = None"},{name:"metric_key_prefix",val:": str = 'test'"}],parametersDescription:[{anchor:"setfit.Trainer.evaluate.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The dataset to compute the metrics on. If not provided, will use the evaluation dataset passed via
the <code>eval_dataset</code> argument at <code>Trainer</code> initialization.`,name:"dataset"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L800",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The evaluation metrics.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, float]</code></p>
`}}),ke=new u({props:{name:"hyperparameter_search",anchor:"setfit.Trainer.hyperparameter_search",parameters:[{name:"hp_space",val:": Optional = None"},{name:"compute_objective",val:": Optional = None"},{name:"n_trials",val:": int = 10"},{name:"direction",val:": str = 'maximize'"},{name:"backend",val:": Union = None"},{name:"hp_name",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.Trainer.hyperparameter_search.hp_space",description:`<strong>hp_space</strong> (<code>Callable[[&quot;optuna.Trial&quot;], Dict[str, float]]</code>, <em>optional</em>) &#x2014;
A function that defines the hyperparameter search space. Will default to
<code>default_hp_space_optuna</code>.`,name:"hp_space"},{anchor:"setfit.Trainer.hyperparameter_search.compute_objective",description:`<strong>compute_objective</strong> (<code>Callable[[Dict[str, float]], float]</code>, <em>optional</em>) &#x2014;
A function computing the objective to minimize or maximize from the metrics returned by the <code>evaluate</code>
method. Will default to <code>default_compute_objective</code> which uses the sum of metrics.`,name:"compute_objective"},{anchor:"setfit.Trainer.hyperparameter_search.n_trials",description:`<strong>n_trials</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The number of trial runs to test.`,name:"n_trials"},{anchor:"setfit.Trainer.hyperparameter_search.direction",description:`<strong>direction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;maximize&quot;</code>) &#x2014;
Whether to optimize greater or lower objects. Can be <code>&quot;minimize&quot;</code> or <code>&quot;maximize&quot;</code>, you should pick
<code>&quot;minimize&quot;</code> when optimizing the validation loss, <code>&quot;maximize&quot;</code> when optimizing one or several metrics.`,name:"direction"},{anchor:"setfit.Trainer.hyperparameter_search.backend",description:`<strong>backend</strong> (<code>str</code> or <code>HPSearchBackend</code>, <em>optional</em>) &#x2014;
The backend to use for hyperparameter search. Only optuna is supported for now.
TODO: add support for ray and sigopt.`,name:"backend"},{anchor:"setfit.Trainer.hyperparameter_search.hp_name",description:`<strong>hp_name</strong> (<code>Callable[[&quot;optuna.Trial&quot;], str]]</code>, <em>optional</em>) &#x2014;
A function that defines the trial/run name. Will default to None.`,name:"hp_name"},{anchor:"setfit.Trainer.hyperparameter_search.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to <code>optuna.create_study</code>. For more
information see:</p>
<ul>
<li>the documentation of
<a href="https://optuna.readthedocs.io/en/stable/reference/generated/optuna.study.create_study.html" rel="nofollow">optuna.create_study</a></li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L861",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>All the information about the best run.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>trainer_utils.BestRun</code></p>
`}}),K=new oo({props:{warning:!0,$$slots:{default:[go]},$$scope:{ctx:nt}}}),we=new u({props:{name:"log",anchor:"setfit.Trainer.log",parameters:[{name:"args",val:": TrainingArguments"},{name:"logs",val:": Dict"}],parametersDescription:[{anchor:"setfit.Trainer.log.logs",description:`<strong>logs</strong> (<code>Dict[str, float]</code>) &#x2014;
The values to log.`,name:"logs"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L515"}}),Ce=new u({props:{name:"pop_callback",anchor:"setfit.Trainer.pop_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.Trainer.pop_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will pop the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L257",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The callback removed, if found.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback"
  rel="nofollow"
>TrainerCallback</a></p>
`}}),De=new u({props:{name:"push_to_hub",anchor:"setfit.Trainer.push_to_hub",parameters:[{name:"repo_id",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.Trainer.push_to_hub.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The full repository ID to push to, e.g. <code>&quot;tomaarsen/setfit-sst2&quot;</code>.`,name:"repo_id"},{anchor:"setfit.Trainer.push_to_hub.config",description:`<strong>config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Configuration object to be saved alongside the model weights.`,name:"config"},{anchor:"setfit.Trainer.push_to_hub.commit_message",description:`<strong>commit_message</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Message to commit while pushing.`,name:"commit_message"},{anchor:"setfit.Trainer.push_to_hub.private",description:`<strong>private</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the repository created should be private.`,name:"private"},{anchor:"setfit.Trainer.push_to_hub.api_endpoint",description:`<strong>api_endpoint</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The API endpoint to use when pushing the model to the hub.`,name:"api_endpoint"},{anchor:"setfit.Trainer.push_to_hub.token",description:`<strong>token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files.
If not set, will use the token set when logging in with
<code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"token"},{anchor:"setfit.Trainer.push_to_hub.branch",description:`<strong>branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git branch on which to push the model. This defaults to
the default branch as specified in your repository, which
defaults to <code>&quot;main&quot;</code>.`,name:"branch"},{anchor:"setfit.Trainer.push_to_hub.create_pr",description:`<strong>create_pr</strong> (<code>boolean</code>, <em>optional</em>) &#x2014;
Whether or not to create a Pull Request from <code>branch</code> with that commit.
Defaults to <code>False</code>.`,name:"create_pr"},{anchor:"setfit.Trainer.push_to_hub.allow_patterns",description:`<strong>allow_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, only files matching at least one pattern are pushed.`,name:"allow_patterns"},{anchor:"setfit.Trainer.push_to_hub.ignore_patterns",description:`<strong>ignore_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, files matching any of the patterns are not pushed.`,name:"ignore_patterns"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L937",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The url of the commit of your model in the given repository.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>str</p>
`}}),Ae=new u({props:{name:"remove_callback",anchor:"setfit.Trainer.remove_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.Trainer.remove_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will remove the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L273"}}),qe=new u({props:{name:"train",anchor:"setfit.Trainer.train",parameters:[{name:"args",val:": Optional = None"},{name:"trial",val:": Union = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.Trainer.train.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"},{anchor:"setfit.Trainer.train.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L371"}}),Le=new u({props:{name:"train_classifier",anchor:"setfit.Trainer.train_classifier",parameters:[{name:"x_train",val:": List"},{name:"y_train",val:": Union"},{name:"args",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.Trainer.train_classifier.x_train",description:"<strong>x_train</strong> (<code>List[str]</code>) &#x2014; A list of training sentences.",name:"x_train"},{anchor:"setfit.Trainer.train_classifier.y_train",description:"<strong>y_train</strong> (<code>Union[List[int], List[List[int]]]</code>) &#x2014; A list of labels corresponding to the training sentences.",name:"y_train"},{anchor:"setfit.Trainer.train_classifier.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L773"}}),Ie=new u({props:{name:"train_embeddings",anchor:"setfit.Trainer.train_embeddings",parameters:[{name:"x_train",val:": List"},{name:"y_train",val:": Union = None"},{name:"x_eval",val:": Optional = None"},{name:"y_eval",val:": Union = None"},{name:"args",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.Trainer.train_embeddings.x_train",description:"<strong>x_train</strong> (<code>List[str]</code>) &#x2014; A list of training sentences.",name:"x_train"},{anchor:"setfit.Trainer.train_embeddings.y_train",description:"<strong>y_train</strong> (<code>Union[List[int], List[List[int]]]</code>) &#x2014; A list of labels corresponding to the training sentences.",name:"y_train"},{anchor:"setfit.Trainer.train_embeddings.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L416"}}),Me=new sn({props:{title:"DistillationTrainer",local:"setfit.DistillationTrainer",headingTag:"h2"}}),Ne=new u({props:{name:"class setfit.DistillationTrainer",anchor:"setfit.DistillationTrainer",parameters:[{name:"teacher_model",val:": SetFitModel"},{name:"student_model",val:": Optional = None"},{name:"args",val:": TrainingArguments = None"},{name:"train_dataset",val:": Optional = None"},{name:"eval_dataset",val:": Optional = None"},{name:"model_init",val:": Optional = None"},{name:"metric",val:": Union = 'accuracy'"},{name:"column_mapping",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.teacher_model",description:`<strong>teacher_model</strong> (<code>SetFitModel</code>) &#x2014;
The teacher model to mimic.`,name:"teacher_model"},{anchor:"setfit.DistillationTrainer.student_model",description:`<strong>student_model</strong> (<code>SetFitModel</code>, <em>optional</em>) &#x2014;
The model to train. If not provided, a <code>model_init</code> must be passed.`,name:"student_model"},{anchor:"setfit.DistillationTrainer.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
The training arguments to use.`,name:"args"},{anchor:"setfit.DistillationTrainer.train_dataset",description:`<strong>train_dataset</strong> (<code>Dataset</code>) &#x2014;
The training dataset.`,name:"train_dataset"},{anchor:"setfit.DistillationTrainer.eval_dataset",description:`<strong>eval_dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The evaluation dataset.`,name:"eval_dataset"},{anchor:"setfit.DistillationTrainer.model_init",description:`<strong>model_init</strong> (<code>Callable[[], SetFitModel]</code>, <em>optional</em>) &#x2014;
A function that instantiates the model to be used. If provided, each call to
<a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.DistillationTrainer.train">train()</a> will start from a new instance of the model as given by this
function when a <code>trial</code> is passed.`,name:"model_init"},{anchor:"setfit.DistillationTrainer.metric",description:`<strong>metric</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;accuracy&quot;</code>) &#x2014;
The metric to use for evaluation. If a string is provided, we treat it as the metric
name and load it with default settings.
If a callable is provided, it must take two arguments (<code>y_pred</code>, <code>y_test</code>).`,name:"metric"},{anchor:"setfit.DistillationTrainer.column_mapping",description:`<strong>column_mapping</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A mapping from the column names in the dataset to the column names expected by the model.
The expected format is a dictionary with the following format:
<code>{&quot;text_column_name&quot;: &quot;text&quot;, &quot;label_column_name: &quot;label&quot;}</code>.`,name:"column_mapping"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer_distillation.py#L23"}}),Pe=new u({props:{name:"add_callback",anchor:"setfit.DistillationTrainer.add_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.add_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will instantiate a member of that class.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L246"}}),He=new u({props:{name:"apply_hyperparameters",anchor:"setfit.DistillationTrainer.apply_hyperparameters",parameters:[{name:"params",val:": Dict"},{name:"final_model",val:": bool = False"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.apply_hyperparameters.params",description:"<strong>params</strong> (<code>Dict[str, Any]</code>) &#x2014; The parameters, usually from <code>BestRun.hyperparameters</code>",name:"params"},{anchor:"setfit.DistillationTrainer.apply_hyperparameters.final_model",description:"<strong>final_model</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; If <code>True</code>, replace the <code>model_init()</code> function with a fixed model based on the parameters.",name:"final_model"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L284"}}),Oe=new u({props:{name:"evaluate",anchor:"setfit.DistillationTrainer.evaluate",parameters:[{name:"dataset",val:": Optional = None"},{name:"metric_key_prefix",val:": str = 'test'"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.evaluate.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The dataset to compute the metrics on. If not provided, will use the evaluation dataset passed via
the <code>eval_dataset</code> argument at <code>Trainer</code> initialization.`,name:"dataset"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L800",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The evaluation metrics.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, float]</code></p>
`}}),ze=new u({props:{name:"hyperparameter_search",anchor:"setfit.DistillationTrainer.hyperparameter_search",parameters:[{name:"hp_space",val:": Optional = None"},{name:"compute_objective",val:": Optional = None"},{name:"n_trials",val:": int = 10"},{name:"direction",val:": str = 'maximize'"},{name:"backend",val:": Union = None"},{name:"hp_name",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.DistillationTrainer.hyperparameter_search.hp_space",description:`<strong>hp_space</strong> (<code>Callable[[&quot;optuna.Trial&quot;], Dict[str, float]]</code>, <em>optional</em>) &#x2014;
A function that defines the hyperparameter search space. Will default to
<code>default_hp_space_optuna</code>.`,name:"hp_space"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.compute_objective",description:`<strong>compute_objective</strong> (<code>Callable[[Dict[str, float]], float]</code>, <em>optional</em>) &#x2014;
A function computing the objective to minimize or maximize from the metrics returned by the <code>evaluate</code>
method. Will default to <code>default_compute_objective</code> which uses the sum of metrics.`,name:"compute_objective"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.n_trials",description:`<strong>n_trials</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The number of trial runs to test.`,name:"n_trials"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.direction",description:`<strong>direction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;maximize&quot;</code>) &#x2014;
Whether to optimize greater or lower objects. Can be <code>&quot;minimize&quot;</code> or <code>&quot;maximize&quot;</code>, you should pick
<code>&quot;minimize&quot;</code> when optimizing the validation loss, <code>&quot;maximize&quot;</code> when optimizing one or several metrics.`,name:"direction"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.backend",description:`<strong>backend</strong> (<code>str</code> or <code>HPSearchBackend</code>, <em>optional</em>) &#x2014;
The backend to use for hyperparameter search. Only optuna is supported for now.
TODO: add support for ray and sigopt.`,name:"backend"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.hp_name",description:`<strong>hp_name</strong> (<code>Callable[[&quot;optuna.Trial&quot;], str]]</code>, <em>optional</em>) &#x2014;
A function that defines the trial/run name. Will default to None.`,name:"hp_name"},{anchor:"setfit.DistillationTrainer.hyperparameter_search.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to <code>optuna.create_study</code>. For more
information see:</p>
<ul>
<li>the documentation of
<a href="https://optuna.readthedocs.io/en/stable/reference/generated/optuna.study.create_study.html" rel="nofollow">optuna.create_study</a></li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L861",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>All the information about the best run.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>trainer_utils.BestRun</code></p>
`}}),te=new oo({props:{warning:!0,$$slots:{default:[ho]},$$scope:{ctx:nt}}}),Ee=new u({props:{name:"log",anchor:"setfit.DistillationTrainer.log",parameters:[{name:"args",val:": TrainingArguments"},{name:"logs",val:": Dict"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.log.logs",description:`<strong>logs</strong> (<code>Dict[str, float]</code>) &#x2014;
The values to log.`,name:"logs"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L515"}}),Se=new u({props:{name:"pop_callback",anchor:"setfit.DistillationTrainer.pop_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.pop_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will pop the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L257",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The callback removed, if found.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback"
  rel="nofollow"
>TrainerCallback</a></p>
`}}),Ue=new u({props:{name:"push_to_hub",anchor:"setfit.DistillationTrainer.push_to_hub",parameters:[{name:"repo_id",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.DistillationTrainer.push_to_hub.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The full repository ID to push to, e.g. <code>&quot;tomaarsen/setfit-sst2&quot;</code>.`,name:"repo_id"},{anchor:"setfit.DistillationTrainer.push_to_hub.config",description:`<strong>config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Configuration object to be saved alongside the model weights.`,name:"config"},{anchor:"setfit.DistillationTrainer.push_to_hub.commit_message",description:`<strong>commit_message</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Message to commit while pushing.`,name:"commit_message"},{anchor:"setfit.DistillationTrainer.push_to_hub.private",description:`<strong>private</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the repository created should be private.`,name:"private"},{anchor:"setfit.DistillationTrainer.push_to_hub.api_endpoint",description:`<strong>api_endpoint</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The API endpoint to use when pushing the model to the hub.`,name:"api_endpoint"},{anchor:"setfit.DistillationTrainer.push_to_hub.token",description:`<strong>token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files.
If not set, will use the token set when logging in with
<code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"token"},{anchor:"setfit.DistillationTrainer.push_to_hub.branch",description:`<strong>branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git branch on which to push the model. This defaults to
the default branch as specified in your repository, which
defaults to <code>&quot;main&quot;</code>.`,name:"branch"},{anchor:"setfit.DistillationTrainer.push_to_hub.create_pr",description:`<strong>create_pr</strong> (<code>boolean</code>, <em>optional</em>) &#x2014;
Whether or not to create a Pull Request from <code>branch</code> with that commit.
Defaults to <code>False</code>.`,name:"create_pr"},{anchor:"setfit.DistillationTrainer.push_to_hub.allow_patterns",description:`<strong>allow_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, only files matching at least one pattern are pushed.`,name:"allow_patterns"},{anchor:"setfit.DistillationTrainer.push_to_hub.ignore_patterns",description:`<strong>ignore_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, files matching any of the patterns are not pushed.`,name:"ignore_patterns"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L937",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The url of the commit of your model in the given repository.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>str</p>
`}}),Fe=new u({props:{name:"remove_callback",anchor:"setfit.DistillationTrainer.remove_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.remove_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will remove the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L273"}}),Ve=new u({props:{name:"train",anchor:"setfit.DistillationTrainer.train",parameters:[{name:"args",val:": Optional = None"},{name:"trial",val:": Union = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.DistillationTrainer.train.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"},{anchor:"setfit.DistillationTrainer.train.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L371"}}),je=new u({props:{name:"train_classifier",anchor:"setfit.DistillationTrainer.train_classifier",parameters:[{name:"x_train",val:": List"},{name:"args",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.train_classifier.x_train",description:"<strong>x_train</strong> (<code>List[str]</code>) &#x2014; A list of training sentences.",name:"x_train"},{anchor:"setfit.DistillationTrainer.train_classifier.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer_distillation.py#L101"}}),We=new u({props:{name:"train_embeddings",anchor:"setfit.DistillationTrainer.train_embeddings",parameters:[{name:"x_train",val:": List"},{name:"y_train",val:": Union = None"},{name:"x_eval",val:": Optional = None"},{name:"y_eval",val:": Union = None"},{name:"args",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.DistillationTrainer.train_embeddings.x_train",description:"<strong>x_train</strong> (<code>List[str]</code>) &#x2014; A list of training sentences.",name:"x_train"},{anchor:"setfit.DistillationTrainer.train_embeddings.y_train",description:"<strong>y_train</strong> (<code>Union[List[int], List[List[int]]]</code>) &#x2014; A list of labels corresponding to the training sentences.",name:"y_train"},{anchor:"setfit.DistillationTrainer.train_embeddings.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the training arguments for this training call.`,name:"args"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/trainer.py#L416"}}),Re=new sn({props:{title:"AbsaTrainer",local:"setfit.AbsaTrainer",headingTag:"h2"}}),Be=new u({props:{name:"class setfit.AbsaTrainer",anchor:"setfit.AbsaTrainer",parameters:[{name:"model",val:": AbsaModel"},{name:"args",val:": Optional = None"},{name:"polarity_args",val:": Optional = None"},{name:"train_dataset",val:": Optional = None"},{name:"eval_dataset",val:": Optional = None"},{name:"metric",val:": Union = 'accuracy'"},{name:"metric_kwargs",val:": Optional = None"},{name:"callbacks",val:": Optional = None"},{name:"column_mapping",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.AbsaTrainer.model",description:`<strong>model</strong> (<code>AbsaModel</code>) &#x2014;
The AbsaModel model to train.`,name:"model"},{anchor:"setfit.AbsaTrainer.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
The training arguments to use. If <code>polarity_args</code> is not defined, then <code>args</code> is used for both
the aspect and the polarity model.`,name:"args"},{anchor:"setfit.AbsaTrainer.polarity_args",description:`<strong>polarity_args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
The training arguments to use for the polarity model. If not defined, <code>args</code> is used for both
the aspect and the polarity model.`,name:"polarity_args"},{anchor:"setfit.AbsaTrainer.train_dataset",description:`<strong>train_dataset</strong> (<code>Dataset</code>) &#x2014;
The training dataset. The dataset must have &#x201C;text&#x201D;, &#x201C;span&#x201D;, &#x201C;label&#x201D; and &#x201C;ordinal&#x201D; columns.`,name:"train_dataset"},{anchor:"setfit.AbsaTrainer.eval_dataset",description:`<strong>eval_dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The evaluation dataset. The dataset must have &#x201C;text&#x201D;, &#x201C;span&#x201D;, &#x201C;label&#x201D; and &#x201C;ordinal&#x201D; columns.`,name:"eval_dataset"},{anchor:"setfit.AbsaTrainer.metric",description:`<strong>metric</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;accuracy&quot;</code>) &#x2014;
The metric to use for evaluation. If a string is provided, we treat it as the metric
name and load it with default settings.
If a callable is provided, it must take two arguments (<code>y_pred</code>, <code>y_test</code>).`,name:"metric"},{anchor:"setfit.AbsaTrainer.metric_kwargs",description:`<strong>metric_kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Keyword arguments passed to the evaluation function if <code>metric</code> is an evaluation string like &#x201C;f1&#x201D;.
For example useful for providing an averaging strategy for computing f1 in a multi-label setting.`,name:"metric_kwargs"},{anchor:"setfit.AbsaTrainer.callbacks",description:`<strong>callbacks</strong> (<code>List[</code><a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a><code>]</code>, <em>optional</em>) &#x2014;
A list of callbacks to customize the training loop. Will add those to the list of default callbacks
detailed in <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback" rel="nofollow">here</a>.
If you want to remove one of the default callbacks used, use the <a href="/docs/setfit/v1.0.3/en/reference/trainer#setfit.DistillationTrainer.remove_callback">Trainer.remove_callback()</a> method.`,name:"callbacks"},{anchor:"setfit.AbsaTrainer.column_mapping",description:`<strong>column_mapping</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A mapping from the column names in the dataset to the column names expected by the model.
The expected format is a dictionary with the following format:
<code>{&quot;text_column_name&quot;: &quot;text&quot;, &quot;span_column_name&quot;: &quot;span&quot;, &quot;label_column_name: &quot;label&quot;, &quot;ordinal_column_name&quot;: &quot;ordinal&quot;}</code>.`,name:"column_mapping"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L20"}}),Ke=new u({props:{name:"add_callback",anchor:"setfit.AbsaTrainer.add_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.AbsaTrainer.add_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will instantiate a member of that class.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L239"}}),Ge=new u({props:{name:"evaluate",anchor:"setfit.AbsaTrainer.evaluate",parameters:[{name:"dataset",val:": Optional = None"}],parametersDescription:[{anchor:"setfit.AbsaTrainer.evaluate.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
The dataset to compute the metrics on. If not provided, will use the evaluation dataset passed via
the <code>eval_dataset</code> argument at <code>Trainer</code> initialization.`,name:"dataset"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L317",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The evaluation metrics.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, Dict[str, float]]</code></p>
`}}),Je=new u({props:{name:"pop_callback",anchor:"setfit.AbsaTrainer.pop_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.AbsaTrainer.pop_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will pop the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L251",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The callbacks removed from the
aspect and polarity trainers, if found.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Tuple[</code><a
  href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback"
  rel="nofollow"
>TrainerCallback</a>, <a
  href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback"
  rel="nofollow"
>TrainerCallback</a><code>]</code></p>
`}}),Qe=new u({props:{name:"push_to_hub",anchor:"setfit.AbsaTrainer.push_to_hub",parameters:[{name:"repo_id",val:": str"},{name:"polarity_repo_id",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.AbsaTrainer.push_to_hub.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The full repository ID to push to, e.g. <code>&quot;tomaarsen/setfit-aspect&quot;</code>.`,name:"repo_id"},{anchor:"setfit.AbsaTrainer.push_to_hub.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The full repository ID to push to, e.g. <code>&quot;tomaarsen/setfit-sst2&quot;</code>.`,name:"repo_id"},{anchor:"setfit.AbsaTrainer.push_to_hub.config",description:`<strong>config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Configuration object to be saved alongside the model weights.`,name:"config"},{anchor:"setfit.AbsaTrainer.push_to_hub.commit_message",description:`<strong>commit_message</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Message to commit while pushing.`,name:"commit_message"},{anchor:"setfit.AbsaTrainer.push_to_hub.private",description:`<strong>private</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the repository created should be private.`,name:"private"},{anchor:"setfit.AbsaTrainer.push_to_hub.api_endpoint",description:`<strong>api_endpoint</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The API endpoint to use when pushing the model to the hub.`,name:"api_endpoint"},{anchor:"setfit.AbsaTrainer.push_to_hub.token",description:`<strong>token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files.
If not set, will use the token set when logging in with
<code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"token"},{anchor:"setfit.AbsaTrainer.push_to_hub.branch",description:`<strong>branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git branch on which to push the model. This defaults to
the default branch as specified in your repository, which
defaults to <code>&quot;main&quot;</code>.`,name:"branch"},{anchor:"setfit.AbsaTrainer.push_to_hub.create_pr",description:`<strong>create_pr</strong> (<code>boolean</code>, <em>optional</em>) &#x2014;
Whether or not to create a Pull Request from <code>branch</code> with that commit.
Defaults to <code>False</code>.`,name:"create_pr"},{anchor:"setfit.AbsaTrainer.push_to_hub.allow_patterns",description:`<strong>allow_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, only files matching at least one pattern are pushed.`,name:"allow_patterns"},{anchor:"setfit.AbsaTrainer.push_to_hub.ignore_patterns",description:`<strong>ignore_patterns</strong> (<code>List[str]</code> or <code>str</code>, <em>optional</em>) &#x2014;
If provided, files matching any of the patterns are not pushed.`,name:"ignore_patterns"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L280"}}),Xe=new u({props:{name:"remove_callback",anchor:"setfit.AbsaTrainer.remove_callback",parameters:[{name:"callback",val:": Union"}],parametersDescription:[{anchor:"setfit.AbsaTrainer.remove_callback.callback",description:`<strong>callback</strong> (<code>type</code> or <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>) &#x2014;
A <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a> class or an instance of a <a href="https://huggingface.co/docs/transformers/v4.36.2/en/main_classes/callback#transformers.TrainerCallback" rel="nofollow">TrainerCallback</a>. In the
first case, will remove the first member of that class found in the list of callbacks.`,name:"callback"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L268"}}),Ye=new u({props:{name:"train",anchor:"setfit.AbsaTrainer.train",parameters:[{name:"args",val:": Optional = None"},{name:"polarity_args",val:": Optional = None"},{name:"trial",val:": Union = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.AbsaTrainer.train.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the aspect training arguments for this training call.`,name:"args"},{anchor:"setfit.AbsaTrainer.train.polarity_args",description:`<strong>polarity_args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the polarity training arguments for this training call.`,name:"polarity_args"},{anchor:"setfit.AbsaTrainer.train.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L184"}}),Ze=new u({props:{name:"train_aspect",anchor:"setfit.AbsaTrainer.train_aspect",parameters:[{name:"args",val:": Optional = None"},{name:"trial",val:": Union = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.AbsaTrainer.train_aspect.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the aspect training arguments for this training call.`,name:"args"},{anchor:"setfit.AbsaTrainer.train_aspect.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L205"}}),et=new u({props:{name:"train_polarity",anchor:"setfit.AbsaTrainer.train_polarity",parameters:[{name:"args",val:": Optional = None"},{name:"trial",val:": Union = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"setfit.AbsaTrainer.train_polarity.args",description:`<strong>args</strong> (<code>TrainingArguments</code>, <em>optional</em>) &#x2014;
Temporarily change the aspect training arguments for this training call.`,name:"args"},{anchor:"setfit.AbsaTrainer.train_polarity.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"}],source:"https://github.com/huggingface/setfit/blob/v1.0.3/src/setfit/span/trainer.py#L222"}}),{c(){y=r("meta"),q=n(),C=r("p"),U=n(),l(pe.$$.fragment),ln=n(),l(ge.$$.fragment),cn=n(),D=r("div"),l(he.$$.fragment),Un=n(),at=r("p"),at.innerHTML=gr,Fn=n(),F=r("div"),l(fe.$$.fragment),Vn=n(),rt=r("p"),rt.textContent=hr,jn=n(),V=r("div"),l(ue.$$.fragment),Wn=n(),ot=r("p"),ot.textContent=fr,Rn=n(),j=r("div"),l(be.$$.fragment),Bn=n(),it=r("p"),it.textContent=ur,Kn=n(),st=r("div"),l(_e.$$.fragment),dn=n(),l(ve.$$.fragment),mn=n(),b=r("div"),l(Te.$$.fragment),Gn=n(),lt=r("p"),lt.textContent=br,Jn=n(),W=r("div"),l(xe.$$.fragment),Qn=n(),ct=r("p"),ct.innerHTML=_r,Xn=n(),R=r("div"),l(ye.$$.fragment),Yn=n(),dt=r("p"),dt.textContent=vr,Zn=n(),B=r("div"),l($e.$$.fragment),ea=n(),mt=r("p"),mt.textContent=Tr,ta=n(),L=r("div"),l(ke.$$.fragment),na=n(),pt=r("p"),pt.innerHTML=xr,aa=n(),l(K.$$.fragment),ra=n(),I=r("div"),l(we.$$.fragment),oa=n(),gt=r("p"),gt.innerHTML=yr,ia=n(),ht=r("p"),ht.textContent=$r,sa=n(),M=r("div"),l(Ce.$$.fragment),la=n(),ft=r("p"),ft.innerHTML=kr,ca=n(),ut=r("p"),ut.innerHTML=wr,da=n(),N=r("div"),l(De.$$.fragment),ma=n(),bt=r("p"),bt.innerHTML=Cr,pa=n(),_t=r("p"),_t.innerHTML=Dr,ga=n(),G=r("div"),l(Ae.$$.fragment),ha=n(),vt=r("p"),vt.innerHTML=Ar,fa=n(),J=r("div"),l(qe.$$.fragment),ua=n(),Tt=r("p"),Tt.textContent=qr,ba=n(),Q=r("div"),l(Le.$$.fragment),_a=n(),xt=r("p"),xt.textContent=Lr,va=n(),X=r("div"),l(Ie.$$.fragment),Ta=n(),yt=r("p"),yt.innerHTML=Ir,pn=n(),l(Me.$$.fragment),gn=n(),_=r("div"),l(Ne.$$.fragment),xa=n(),$t=r("p"),$t.textContent=Mr,ya=n(),Y=r("div"),l(Pe.$$.fragment),$a=n(),kt=r("p"),kt.innerHTML=Nr,ka=n(),Z=r("div"),l(He.$$.fragment),wa=n(),wt=r("p"),wt.textContent=Pr,Ca=n(),ee=r("div"),l(Oe.$$.fragment),Da=n(),Ct=r("p"),Ct.textContent=Hr,Aa=n(),P=r("div"),l(ze.$$.fragment),qa=n(),Dt=r("p"),Dt.innerHTML=Or,La=n(),l(te.$$.fragment),Ia=n(),H=r("div"),l(Ee.$$.fragment),Ma=n(),At=r("p"),At.innerHTML=zr,Na=n(),qt=r("p"),qt.textContent=Er,Pa=n(),O=r("div"),l(Se.$$.fragment),Ha=n(),Lt=r("p"),Lt.innerHTML=Sr,Oa=n(),It=r("p"),It.innerHTML=Ur,za=n(),z=r("div"),l(Ue.$$.fragment),Ea=n(),Mt=r("p"),Mt.innerHTML=Fr,Sa=n(),Nt=r("p"),Nt.innerHTML=Vr,Ua=n(),ne=r("div"),l(Fe.$$.fragment),Fa=n(),Pt=r("p"),Pt.innerHTML=jr,Va=n(),ae=r("div"),l(Ve.$$.fragment),ja=n(),Ht=r("p"),Ht.textContent=Wr,Wa=n(),re=r("div"),l(je.$$.fragment),Ra=n(),Ot=r("p"),Ot.textContent=Rr,Ba=n(),oe=r("div"),l(We.$$.fragment),Ka=n(),zt=r("p"),zt.innerHTML=Br,hn=n(),l(Re.$$.fragment),fn=n(),$=r("div"),l(Be.$$.fragment),Ga=n(),Et=r("p"),Et.textContent=Kr,Ja=n(),ie=r("div"),l(Ke.$$.fragment),Qa=n(),St=r("p"),St.innerHTML=Gr,Xa=n(),se=r("div"),l(Ge.$$.fragment),Ya=n(),Ut=r("p"),Ut.textContent=Jr,Za=n(),E=r("div"),l(Je.$$.fragment),er=n(),Ft=r("p"),Ft.innerHTML=Qr,tr=n(),Vt=r("p"),Vt.innerHTML=Xr,nr=n(),S=r("div"),l(Qe.$$.fragment),ar=n(),jt=r("p"),jt.innerHTML=Yr,rr=n(),Wt=r("p"),Wt.innerHTML=Zr,or=n(),le=r("div"),l(Xe.$$.fragment),ir=n(),Rt=r("p"),Rt.innerHTML=eo,sr=n(),ce=r("div"),l(Ye.$$.fragment),lr=n(),Bt=r("p"),Bt.textContent=to,cr=n(),de=r("div"),l(Ze.$$.fragment),dr=n(),Kt=r("p"),Kt.textContent=no,mr=n(),me=r("div"),l(et.$$.fragment),pr=n(),Gt=r("p"),Gt.textContent=ao,un=n(),on=r("p"),this.h()},l(t){const v=po("svelte-u9bgzb",document.head);y=o(v,"META",{name:!0,content:!0}),v.forEach(i),q=a(t),C=o(t,"P",{}),h(C).forEach(i),U=a(t),c(pe.$$.fragment,t),ln=a(t),c(ge.$$.fragment,t),cn=a(t),D=o(t,"DIV",{class:!0});var A=h(D);c(he.$$.fragment,A),Un=a(A),at=o(A,"P",{"data-svelte-h":!0}),s(at)!=="svelte-p0sds8"&&(at.innerHTML=gr),Fn=a(A),F=o(A,"DIV",{class:!0});var tt=h(F);c(fe.$$.fragment,tt),Vn=a(tt),rt=o(tt,"P",{"data-svelte-h":!0}),s(rt)!=="svelte-11pk1us"&&(rt.textContent=hr),tt.forEach(i),jn=a(A),V=o(A,"DIV",{class:!0});var _n=h(V);c(ue.$$.fragment,_n),Wn=a(_n),ot=o(_n,"P",{"data-svelte-h":!0}),s(ot)!=="svelte-1071ny1"&&(ot.textContent=fr),_n.forEach(i),Rn=a(A),j=o(A,"DIV",{class:!0});var vn=h(j);c(be.$$.fragment,vn),Bn=a(vn),it=o(vn,"P",{"data-svelte-h":!0}),s(it)!=="svelte-7okfju"&&(it.textContent=ur),vn.forEach(i),Kn=a(A),st=o(A,"DIV",{class:!0});var ro=h(st);c(_e.$$.fragment,ro),ro.forEach(i),A.forEach(i),dn=a(t),c(ve.$$.fragment,t),mn=a(t),b=o(t,"DIV",{class:!0});var T=h(b);c(Te.$$.fragment,T),Gn=a(T),lt=o(T,"P",{"data-svelte-h":!0}),s(lt)!=="svelte-gptbkh"&&(lt.textContent=br),Jn=a(T),W=o(T,"DIV",{class:!0});var Tn=h(W);c(xe.$$.fragment,Tn),Qn=a(Tn),ct=o(Tn,"P",{"data-svelte-h":!0}),s(ct)!=="svelte-110uqvq"&&(ct.innerHTML=_r),Tn.forEach(i),Xn=a(T),R=o(T,"DIV",{class:!0});var xn=h(R);c(ye.$$.fragment,xn),Yn=a(xn),dt=o(xn,"P",{"data-svelte-h":!0}),s(dt)!=="svelte-1gb5peh"&&(dt.textContent=vr),xn.forEach(i),Zn=a(T),B=o(T,"DIV",{class:!0});var yn=h(B);c($e.$$.fragment,yn),ea=a(yn),mt=o(yn,"P",{"data-svelte-h":!0}),s(mt)!=="svelte-bomxx4"&&(mt.textContent=Tr),yn.forEach(i),ta=a(T),L=o(T,"DIV",{class:!0});var Jt=h(L);c(ke.$$.fragment,Jt),na=a(Jt),pt=o(Jt,"P",{"data-svelte-h":!0}),s(pt)!=="svelte-1swdj1s"&&(pt.innerHTML=xr),aa=a(Jt),c(K.$$.fragment,Jt),Jt.forEach(i),ra=a(T),I=o(T,"DIV",{class:!0});var Qt=h(I);c(we.$$.fragment,Qt),oa=a(Qt),gt=o(Qt,"P",{"data-svelte-h":!0}),s(gt)!=="svelte-19fk55y"&&(gt.innerHTML=yr),ia=a(Qt),ht=o(Qt,"P",{"data-svelte-h":!0}),s(ht)!=="svelte-1tz9xhn"&&(ht.textContent=$r),Qt.forEach(i),sa=a(T),M=o(T,"DIV",{class:!0});var Xt=h(M);c(Ce.$$.fragment,Xt),la=a(Xt),ft=o(Xt,"P",{"data-svelte-h":!0}),s(ft)!=="svelte-1mds9ad"&&(ft.innerHTML=kr),ca=a(Xt),ut=o(Xt,"P",{"data-svelte-h":!0}),s(ut)!=="svelte-1ojzwr1"&&(ut.innerHTML=wr),Xt.forEach(i),da=a(T),N=o(T,"DIV",{class:!0});var Yt=h(N);c(De.$$.fragment,Yt),ma=a(Yt),bt=o(Yt,"P",{"data-svelte-h":!0}),s(bt)!=="svelte-f2unia"&&(bt.innerHTML=Cr),pa=a(Yt),_t=o(Yt,"P",{"data-svelte-h":!0}),s(_t)!=="svelte-1mz0ik2"&&(_t.innerHTML=Dr),Yt.forEach(i),ga=a(T),G=o(T,"DIV",{class:!0});var $n=h(G);c(Ae.$$.fragment,$n),ha=a($n),vt=o($n,"P",{"data-svelte-h":!0}),s(vt)!=="svelte-1aaubw"&&(vt.innerHTML=Ar),$n.forEach(i),fa=a(T),J=o(T,"DIV",{class:!0});var kn=h(J);c(qe.$$.fragment,kn),ua=a(kn),Tt=o(kn,"P",{"data-svelte-h":!0}),s(Tt)!=="svelte-1cilnet"&&(Tt.textContent=qr),kn.forEach(i),ba=a(T),Q=o(T,"DIV",{class:!0});var wn=h(Q);c(Le.$$.fragment,wn),_a=a(wn),xt=o(wn,"P",{"data-svelte-h":!0}),s(xt)!=="svelte-5vymxn"&&(xt.textContent=Lr),wn.forEach(i),va=a(T),X=o(T,"DIV",{class:!0});var Cn=h(X);c(Ie.$$.fragment,Cn),Ta=a(Cn),yt=o(Cn,"P",{"data-svelte-h":!0}),s(yt)!=="svelte-1pad1d1"&&(yt.innerHTML=Ir),Cn.forEach(i),T.forEach(i),pn=a(t),c(Me.$$.fragment,t),gn=a(t),_=o(t,"DIV",{class:!0});var x=h(_);c(Ne.$$.fragment,x),xa=a(x),$t=o(x,"P",{"data-svelte-h":!0}),s($t)!=="svelte-hai2sx"&&($t.textContent=Mr),ya=a(x),Y=o(x,"DIV",{class:!0});var Dn=h(Y);c(Pe.$$.fragment,Dn),$a=a(Dn),kt=o(Dn,"P",{"data-svelte-h":!0}),s(kt)!=="svelte-110uqvq"&&(kt.innerHTML=Nr),Dn.forEach(i),ka=a(x),Z=o(x,"DIV",{class:!0});var An=h(Z);c(He.$$.fragment,An),wa=a(An),wt=o(An,"P",{"data-svelte-h":!0}),s(wt)!=="svelte-1gb5peh"&&(wt.textContent=Pr),An.forEach(i),Ca=a(x),ee=o(x,"DIV",{class:!0});var qn=h(ee);c(Oe.$$.fragment,qn),Da=a(qn),Ct=o(qn,"P",{"data-svelte-h":!0}),s(Ct)!=="svelte-bomxx4"&&(Ct.textContent=Hr),qn.forEach(i),Aa=a(x),P=o(x,"DIV",{class:!0});var Zt=h(P);c(ze.$$.fragment,Zt),qa=a(Zt),Dt=o(Zt,"P",{"data-svelte-h":!0}),s(Dt)!=="svelte-1swdj1s"&&(Dt.innerHTML=Or),La=a(Zt),c(te.$$.fragment,Zt),Zt.forEach(i),Ia=a(x),H=o(x,"DIV",{class:!0});var en=h(H);c(Ee.$$.fragment,en),Ma=a(en),At=o(en,"P",{"data-svelte-h":!0}),s(At)!=="svelte-19fk55y"&&(At.innerHTML=zr),Na=a(en),qt=o(en,"P",{"data-svelte-h":!0}),s(qt)!=="svelte-1tz9xhn"&&(qt.textContent=Er),en.forEach(i),Pa=a(x),O=o(x,"DIV",{class:!0});var tn=h(O);c(Se.$$.fragment,tn),Ha=a(tn),Lt=o(tn,"P",{"data-svelte-h":!0}),s(Lt)!=="svelte-1mds9ad"&&(Lt.innerHTML=Sr),Oa=a(tn),It=o(tn,"P",{"data-svelte-h":!0}),s(It)!=="svelte-1ojzwr1"&&(It.innerHTML=Ur),tn.forEach(i),za=a(x),z=o(x,"DIV",{class:!0});var nn=h(z);c(Ue.$$.fragment,nn),Ea=a(nn),Mt=o(nn,"P",{"data-svelte-h":!0}),s(Mt)!=="svelte-f2unia"&&(Mt.innerHTML=Fr),Sa=a(nn),Nt=o(nn,"P",{"data-svelte-h":!0}),s(Nt)!=="svelte-1mz0ik2"&&(Nt.innerHTML=Vr),nn.forEach(i),Ua=a(x),ne=o(x,"DIV",{class:!0});var Ln=h(ne);c(Fe.$$.fragment,Ln),Fa=a(Ln),Pt=o(Ln,"P",{"data-svelte-h":!0}),s(Pt)!=="svelte-1aaubw"&&(Pt.innerHTML=jr),Ln.forEach(i),Va=a(x),ae=o(x,"DIV",{class:!0});var In=h(ae);c(Ve.$$.fragment,In),ja=a(In),Ht=o(In,"P",{"data-svelte-h":!0}),s(Ht)!=="svelte-1cilnet"&&(Ht.textContent=Wr),In.forEach(i),Wa=a(x),re=o(x,"DIV",{class:!0});var Mn=h(re);c(je.$$.fragment,Mn),Ra=a(Mn),Ot=o(Mn,"P",{"data-svelte-h":!0}),s(Ot)!=="svelte-ww7918"&&(Ot.textContent=Rr),Mn.forEach(i),Ba=a(x),oe=o(x,"DIV",{class:!0});var Nn=h(oe);c(We.$$.fragment,Nn),Ka=a(Nn),zt=o(Nn,"P",{"data-svelte-h":!0}),s(zt)!=="svelte-1pad1d1"&&(zt.innerHTML=Br),Nn.forEach(i),x.forEach(i),hn=a(t),c(Re.$$.fragment,t),fn=a(t),$=o(t,"DIV",{class:!0});var k=h($);c(Be.$$.fragment,k),Ga=a(k),Et=o(k,"P",{"data-svelte-h":!0}),s(Et)!=="svelte-tfv6dy"&&(Et.textContent=Kr),Ja=a(k),ie=o(k,"DIV",{class:!0});var Pn=h(ie);c(Ke.$$.fragment,Pn),Qa=a(Pn),St=o(Pn,"P",{"data-svelte-h":!0}),s(St)!=="svelte-110uqvq"&&(St.innerHTML=Gr),Pn.forEach(i),Xa=a(k),se=o(k,"DIV",{class:!0});var Hn=h(se);c(Ge.$$.fragment,Hn),Ya=a(Hn),Ut=o(Hn,"P",{"data-svelte-h":!0}),s(Ut)!=="svelte-bomxx4"&&(Ut.textContent=Jr),Hn.forEach(i),Za=a(k),E=o(k,"DIV",{class:!0});var an=h(E);c(Je.$$.fragment,an),er=a(an),Ft=o(an,"P",{"data-svelte-h":!0}),s(Ft)!=="svelte-1mds9ad"&&(Ft.innerHTML=Qr),tr=a(an),Vt=o(an,"P",{"data-svelte-h":!0}),s(Vt)!=="svelte-1ojzwr1"&&(Vt.innerHTML=Xr),an.forEach(i),nr=a(k),S=o(k,"DIV",{class:!0});var rn=h(S);c(Qe.$$.fragment,rn),ar=a(rn),jt=o(rn,"P",{"data-svelte-h":!0}),s(jt)!=="svelte-f2unia"&&(jt.innerHTML=Yr),rr=a(rn),Wt=o(rn,"P",{"data-svelte-h":!0}),s(Wt)!=="svelte-1mz0ik2"&&(Wt.innerHTML=Zr),rn.forEach(i),or=a(k),le=o(k,"DIV",{class:!0});var On=h(le);c(Xe.$$.fragment,On),ir=a(On),Rt=o(On,"P",{"data-svelte-h":!0}),s(Rt)!=="svelte-1aaubw"&&(Rt.innerHTML=eo),On.forEach(i),sr=a(k),ce=o(k,"DIV",{class:!0});var zn=h(ce);c(Ye.$$.fragment,zn),lr=a(zn),Bt=o(zn,"P",{"data-svelte-h":!0}),s(Bt)!=="svelte-1cilnet"&&(Bt.textContent=to),zn.forEach(i),cr=a(k),de=o(k,"DIV",{class:!0});var En=h(de);c(Ze.$$.fragment,En),dr=a(En),Kt=o(En,"P",{"data-svelte-h":!0}),s(Kt)!=="svelte-1ukqc2q"&&(Kt.textContent=no),En.forEach(i),mr=a(k),me=o(k,"DIV",{class:!0});var Sn=h(me);c(et.$$.fragment,Sn),pr=a(Sn),Gt=o(Sn,"P",{"data-svelte-h":!0}),s(Gt)!=="svelte-1uh2o4y"&&(Gt.textContent=ao),Sn.forEach(i),k.forEach(i),un=a(t),on=o(t,"P",{}),h(on).forEach(i),this.h()},h(){f(y,"name","hf:doc:metadata"),f(y,"content",uo),f(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,v){e(document.head,y),w(t,q,v),w(t,C,v),w(t,U,v),d(pe,t,v),w(t,ln,v),d(ge,t,v),w(t,cn,v),w(t,D,v),d(he,D,null),e(D,Un),e(D,at),e(D,Fn),e(D,F),d(fe,F,null),e(F,Vn),e(F,rt),e(D,jn),e(D,V),d(ue,V,null),e(V,Wn),e(V,ot),e(D,Rn),e(D,j),d(be,j,null),e(j,Bn),e(j,it),e(D,Kn),e(D,st),d(_e,st,null),w(t,dn,v),d(ve,t,v),w(t,mn,v),w(t,b,v),d(Te,b,null),e(b,Gn),e(b,lt),e(b,Jn),e(b,W),d(xe,W,null),e(W,Qn),e(W,ct),e(b,Xn),e(b,R),d(ye,R,null),e(R,Yn),e(R,dt),e(b,Zn),e(b,B),d($e,B,null),e(B,ea),e(B,mt),e(b,ta),e(b,L),d(ke,L,null),e(L,na),e(L,pt),e(L,aa),d(K,L,null),e(b,ra),e(b,I),d(we,I,null),e(I,oa),e(I,gt),e(I,ia),e(I,ht),e(b,sa),e(b,M),d(Ce,M,null),e(M,la),e(M,ft),e(M,ca),e(M,ut),e(b,da),e(b,N),d(De,N,null),e(N,ma),e(N,bt),e(N,pa),e(N,_t),e(b,ga),e(b,G),d(Ae,G,null),e(G,ha),e(G,vt),e(b,fa),e(b,J),d(qe,J,null),e(J,ua),e(J,Tt),e(b,ba),e(b,Q),d(Le,Q,null),e(Q,_a),e(Q,xt),e(b,va),e(b,X),d(Ie,X,null),e(X,Ta),e(X,yt),w(t,pn,v),d(Me,t,v),w(t,gn,v),w(t,_,v),d(Ne,_,null),e(_,xa),e(_,$t),e(_,ya),e(_,Y),d(Pe,Y,null),e(Y,$a),e(Y,kt),e(_,ka),e(_,Z),d(He,Z,null),e(Z,wa),e(Z,wt),e(_,Ca),e(_,ee),d(Oe,ee,null),e(ee,Da),e(ee,Ct),e(_,Aa),e(_,P),d(ze,P,null),e(P,qa),e(P,Dt),e(P,La),d(te,P,null),e(_,Ia),e(_,H),d(Ee,H,null),e(H,Ma),e(H,At),e(H,Na),e(H,qt),e(_,Pa),e(_,O),d(Se,O,null),e(O,Ha),e(O,Lt),e(O,Oa),e(O,It),e(_,za),e(_,z),d(Ue,z,null),e(z,Ea),e(z,Mt),e(z,Sa),e(z,Nt),e(_,Ua),e(_,ne),d(Fe,ne,null),e(ne,Fa),e(ne,Pt),e(_,Va),e(_,ae),d(Ve,ae,null),e(ae,ja),e(ae,Ht),e(_,Wa),e(_,re),d(je,re,null),e(re,Ra),e(re,Ot),e(_,Ba),e(_,oe),d(We,oe,null),e(oe,Ka),e(oe,zt),w(t,hn,v),d(Re,t,v),w(t,fn,v),w(t,$,v),d(Be,$,null),e($,Ga),e($,Et),e($,Ja),e($,ie),d(Ke,ie,null),e(ie,Qa),e(ie,St),e($,Xa),e($,se),d(Ge,se,null),e(se,Ya),e(se,Ut),e($,Za),e($,E),d(Je,E,null),e(E,er),e(E,Ft),e(E,tr),e(E,Vt),e($,nr),e($,S),d(Qe,S,null),e(S,ar),e(S,jt),e(S,rr),e(S,Wt),e($,or),e($,le),d(Xe,le,null),e(le,ir),e(le,Rt),e($,sr),e($,ce),d(Ye,ce,null),e(ce,lr),e(ce,Bt),e($,cr),e($,de),d(Ze,de,null),e(de,dr),e(de,Kt),e($,mr),e($,me),d(et,me,null),e(me,pr),e(me,Gt),w(t,un,v),w(t,on,v),bn=!0},p(t,[v]){const A={};v&2&&(A.$$scope={dirty:v,ctx:t}),K.$set(A);const tt={};v&2&&(tt.$$scope={dirty:v,ctx:t}),te.$set(tt)},i(t){bn||(m(pe.$$.fragment,t),m(ge.$$.fragment,t),m(he.$$.fragment,t),m(fe.$$.fragment,t),m(ue.$$.fragment,t),m(be.$$.fragment,t),m(_e.$$.fragment,t),m(ve.$$.fragment,t),m(Te.$$.fragment,t),m(xe.$$.fragment,t),m(ye.$$.fragment,t),m($e.$$.fragment,t),m(ke.$$.fragment,t),m(K.$$.fragment,t),m(we.$$.fragment,t),m(Ce.$$.fragment,t),m(De.$$.fragment,t),m(Ae.$$.fragment,t),m(qe.$$.fragment,t),m(Le.$$.fragment,t),m(Ie.$$.fragment,t),m(Me.$$.fragment,t),m(Ne.$$.fragment,t),m(Pe.$$.fragment,t),m(He.$$.fragment,t),m(Oe.$$.fragment,t),m(ze.$$.fragment,t),m(te.$$.fragment,t),m(Ee.$$.fragment,t),m(Se.$$.fragment,t),m(Ue.$$.fragment,t),m(Fe.$$.fragment,t),m(Ve.$$.fragment,t),m(je.$$.fragment,t),m(We.$$.fragment,t),m(Re.$$.fragment,t),m(Be.$$.fragment,t),m(Ke.$$.fragment,t),m(Ge.$$.fragment,t),m(Je.$$.fragment,t),m(Qe.$$.fragment,t),m(Xe.$$.fragment,t),m(Ye.$$.fragment,t),m(Ze.$$.fragment,t),m(et.$$.fragment,t),bn=!0)},o(t){p(pe.$$.fragment,t),p(ge.$$.fragment,t),p(he.$$.fragment,t),p(fe.$$.fragment,t),p(ue.$$.fragment,t),p(be.$$.fragment,t),p(_e.$$.fragment,t),p(ve.$$.fragment,t),p(Te.$$.fragment,t),p(xe.$$.fragment,t),p(ye.$$.fragment,t),p($e.$$.fragment,t),p(ke.$$.fragment,t),p(K.$$.fragment,t),p(we.$$.fragment,t),p(Ce.$$.fragment,t),p(De.$$.fragment,t),p(Ae.$$.fragment,t),p(qe.$$.fragment,t),p(Le.$$.fragment,t),p(Ie.$$.fragment,t),p(Me.$$.fragment,t),p(Ne.$$.fragment,t),p(Pe.$$.fragment,t),p(He.$$.fragment,t),p(Oe.$$.fragment,t),p(ze.$$.fragment,t),p(te.$$.fragment,t),p(Ee.$$.fragment,t),p(Se.$$.fragment,t),p(Ue.$$.fragment,t),p(Fe.$$.fragment,t),p(Ve.$$.fragment,t),p(je.$$.fragment,t),p(We.$$.fragment,t),p(Re.$$.fragment,t),p(Be.$$.fragment,t),p(Ke.$$.fragment,t),p(Ge.$$.fragment,t),p(Je.$$.fragment,t),p(Qe.$$.fragment,t),p(Xe.$$.fragment,t),p(Ye.$$.fragment,t),p(Ze.$$.fragment,t),p(et.$$.fragment,t),bn=!1},d(t){t&&(i(q),i(C),i(U),i(ln),i(cn),i(D),i(dn),i(mn),i(b),i(pn),i(gn),i(_),i(hn),i(fn),i($),i(un),i(on)),i(y),g(pe,t),g(ge,t),g(he),g(fe),g(ue),g(be),g(_e),g(ve,t),g(Te),g(xe),g(ye),g($e),g(ke),g(K),g(we),g(Ce),g(De),g(Ae),g(qe),g(Le),g(Ie),g(Me,t),g(Ne),g(Pe),g(He),g(Oe),g(ze),g(te),g(Ee),g(Se),g(Ue),g(Fe),g(Ve),g(je),g(We),g(Re,t),g(Be),g(Ke),g(Ge),g(Je),g(Qe),g(Xe),g(Ye),g(Ze),g(et)}}}const uo='{"title":"Trainer Classes","local":"trainer-classes","sections":[{"title":"TrainingArguments","local":"setfit.TrainingArguments","sections":[],"depth":2},{"title":"Trainer","local":"setfit.Trainer","sections":[],"depth":2},{"title":"DistillationTrainer","local":"setfit.DistillationTrainer","sections":[],"depth":2},{"title":"AbsaTrainer","local":"setfit.AbsaTrainer","sections":[],"depth":2}],"depth":1}';function bo(nt){return lo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $o extends co{constructor(y){super(),mo(this,y,bo,fo,so,{})}}export{$o as component};
